# unmap\_attr

Unmaps an attribute name from the other attribute name. Nothing is returned.

Any attribute name that is currently mapped to another attribute name (See [map\_attr](/docs/maci/object/methods/map_attr.md)) can be unmapped using this method. Attribute names must already exist to unmap them.

This will release the mapping between a child attribute name and the corresponding parent attribute name. In addition, If a parent attribute name is specified, that contains children with references to it, all child mappings will be detached from that parent<br>

*Basic Example of unmapping a name using default positional parameter*

```python
data.unmap_attr('attr_name')
```

In this example, we simply unmap an attribute name that already exists in the [MaciDataObj](/docs/maci/object.md) and is also currently present in the reference maps by passing a string of the attribute name as an argument to the unmap\_attr method to unmap the name.

### partner methods

Methods that provide related utility to this method

[map\_attr](/docs/maci/object/methods/map_attr.md)  ->  Map an attribute name\
[get\_all\_maps](/docs/maci/object/methods/get_all_maps.md)  ->  Get all parent and child maps\
[get\_parent\_maps](/docs/maci/object/methods/get_parent_maps.md)  ->  Get all parent maps\
[get\_child\_maps](/docs/maci/object/methods/get_child_maps.md)  ->  Get all child maps\
[get\_parent\_map\_chains](/docs/maci/object/methods/get_parent_map_chains.md)  ->  Get parent maps represented as a chain\
[is\_parent\_map](/docs/maci/object/methods/is_parent_map.md)  ->  Check if attribute name is a parent mapped with children\
[is\_child\_map](/docs/maci/object/methods/is_child_map.md)  ->  Check if attribute name is a child mapped to a parent

### parameters & arguments

Describes all parameter functionality and accepted data types

<details>

<summary>attr_name:  str</summary>

First and only required positional argument. Accepts strings

Use this parameter to pick the attribute name to release its map reference(s).

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.macilib.org/docs/maci/object/methods/unmap_attr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
